## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesDOM_NodeHack Class Reference

This class is deprecated. More...

`#include <XercesDOM_NodeHack.hpp>`

Inheritance diagram for XercesDOM_NodeHack

Collaboration diagram for XercesDOM_NodeHack:

List of all members.

## Public Types

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOM_Node ParentType

## Public Methods

- XercesDOM_NodeHack (NodeImplType* theImpl = 0)
- ~XercesDOM_NodeHack ()
- NodeImplType* getImpl () const

## Static Public Methods

- NodeImplType* getImpl (const ParentType& theNode)

## Detailed Description

This class is deprecated.

An evil class to hack the Xerces smart-pointer class. I'm only doing this because I have to...

Deprecated:
  This class is part of the deprecated Xerces DOM bridge.

## Member Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOM_Node XercesDOM_NodeHack::ParentType

## Constructor & Destructor Documentation

XercesDOM_NodeHack::XercesDOM_NodeHack ( | NodeImplType * theImpl = 0 )

XercesDOM_NodeHack::~XercesDOM_NodeHack ( | )

## Member Function Documentation

NodeImplType * XercesDOM_NodeHack::getImpl ( | const ParentType & theNode )`[static]`

NodeImplType * XercesDOM_NodeHack::getImpl ( | ) const`[]`

The documentation for this class was generated from the following file:

- XercesDOM_NodeHack.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.